$(document).ready(function(){
	
	// For header fix
	$(window).scroll(function(){
		if($('html,body').scrollTop() > 70) {
			$('.header').addClass('scrolled');
		}
		else {
			$('.header').removeClass('scrolled');
		}
	});

	// Use inview plugin for items show
	$('.item').on('inview', function(event, isInView) {
		if (isInView) {
			$(this).css({
				opacity: 1
			})
		}
	});

	// Scrolling on nav click
	$('.nav__item').click(function(){
		$('html,body').animate({scrollTop : $(`#view-${$(this).index()+1}`).offset().top - 70}, 500);
		if($('#burger').is(':checked')) {
			$("#burger").prop('checked', false)
		}
	})

	if(window.location.hash) {
		let ind = window.location.hash.replace('#view-', '')-1;
		$('.nav__item').removeClass('active');
		$(`.nav__item:eq(${ind})`).addClass('active');
	}
});

// $(window).load(function(){
// 	// Use hover slippery plugin for navigation 
// 	$('.nav').hoverSlippery({
// 		border: true,
// 		underline: true,
// 		borderColor: "#4f4f4f",
// 	});
// })